Module java.base
Package java.util.concurrent

# Enum Class StructuredTaskScope.Subtask.State

java.lang.Object
java.lang.Enum<StructuredTaskScope.Subtask.StatePREVIEW>
java.util.concurrent.StructuredTaskScope.Subtask.State

All Implemented Interfaces:
  `Serializable`, `Comparable<StructuredTaskScope.Subtask.StatePREVIEW>`, `Constable`

Enclosing interface:
  `StructuredTaskScope.SubtaskPREVIEW<T>`

public static enum StructuredTaskScope.Subtask.State extends Enum<StructuredTaskScope.Subtask.StatePREVIEW>
`State` is a preview API of the Java platform.
Programs can only use `State` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
Represents the state of a subtask.

Since:
  21
See Also:
  - `StructuredTaskScope.Subtask.state()`PREVIEW

## Nested Class Summary

## Nested classes/interfaces declared in class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FAILED`
The subtask failed with an exception.
`SUCCESS`
The subtask completed successfully with a result.
`UNAVAILABLE`
The subtask result or exception is not available.

## Method Summary

Modifier and Type
Method
Description
`static StructuredTaskScope.Subtask.StatePREVIEW`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static StructuredTaskScope.Subtask.StatePREVIEW[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods declared in class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods declared in class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNAVAILABLE

public static final StructuredTaskScope.Subtask.StatePREVIEW UNAVAILABLE
The subtask result or exception is not available. This state indicates that the subtask was forked but has not completed, it completed after the task scope was shut downPREVIEW, or it was forked after the task scope was shut down.

### SUCCESS

public static final StructuredTaskScope.Subtask.StatePREVIEW SUCCESS
The subtask completed successfully with a result. The `Subtask.get()`PREVIEW method can be used to obtain the result. This is a terminal state.

### FAILED

public static final StructuredTaskScope.Subtask.StatePREVIEW FAILED
The subtask failed with an exception. The `Subtask.exception()`PREVIEW method can be used to obtain the exception. This is a terminal state.

## Method Details

### values

public static StructuredTaskScope.Subtask.StatePREVIEW[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static StructuredTaskScope.Subtask.StatePREVIEW valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null